<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ble__defines_8h" kind="file" language="C++">
    <compoundname>cy_ble_defines.h</compoundname>
    <includedby local="yes" refid="cy__ble__gap_8h">cy_ble_gap.h</includedby>
    <includedby local="yes" refid="cy__ble__cfg__common_8h">cy_ble_cfg_common.h</includedby>
      <sectiondef kind="define">
      <memberdef id="cy__ble__defines_8h_1a20fcdc0a18bb14eb10e62807f69b21f5" kind="define" prot="public" static="no">
        <name>CY_BLE_PROFILE</name>
        <initializer>(0U)  /* Complete BLE Protocol mode enables both BLE Host and Controller. */</initializer>
        <briefdescription>
<para>Definitions for CY_BLE_MODE. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="22" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="22" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a5b56f7a12021d9b9a734f8daf4e5a673" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI</name>
        <initializer>(1U)  /* BLE Controller Only (HCI over UART) mode which enables the use of the
                                               * device as a BLE controller. */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="23" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="24" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1ad7c3b69cf44fc566cb3268b26ad40e01" kind="define" prot="public" static="no">
        <name>CY_BLE_STACK_MODE_SINGLE_SOC</name>
        <initializer>(3U)  /* Host and Controller with a software interface. */</initializer>
        <briefdescription>
<para>Definitions for CY_BLE_STACK_MODE. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="29" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="29" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a37d7eff83f045c99ed60e58469734fd0" kind="define" prot="public" static="no">
        <name>CY_BLE_STACK_MODE_DUAL_IPC</name>
        <initializer>(2U)  /* Host and Controller with an IPC interface. */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="30" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="30" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a383abfc0aef26490dc3b7b8a224d8f97" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_HCI</name>
        <initializer>(0x00U) /* Used when the BLE operates in HCI mode. */</initializer>
        <briefdescription>
<para>Definitions (masks) for CY_BLE_GAP_ROLE. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="35" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="35" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a168f5b72625346101865f78bcf0947a9" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_PERIPHERAL</name>
        <initializer>(0x01U) /* The device operates as peripheral. */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="36" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="36" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1aaf0dbe4c65bef5b688c33d003c90289b" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_CENTRAL</name>
        <initializer>(0x02U) /* The device operates as central. */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="37" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="37" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a5a1ac3993e9238c89a8b4db724a304cf" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_BROADCASTER</name>
        <initializer>(0x04U) /* The device operates as a broadcaster. */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="38" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="38" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a12e1ed1c0a348e47cc657543460641f8" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_OBSERVER</name>
        <initializer>(0x08U) /* The device operates as an observer. */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="39" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="39" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1acf1a1c3ae82a071b66cc3dbba66da98f" kind="define" prot="public" static="no">
        <name>CY_BLE_GATT_SERVER</name>
        <initializer>(0x01U) /* Server */</initializer>
        <briefdescription>
<para>Definitions (masks) for CY_BLE_GATT_ROLE. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="44" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="44" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1ac64d9037f63e49af34e0f82208c08fab" kind="define" prot="public" static="no">
        <name>CY_BLE_GATT_CLIENT</name>
        <initializer>(0x02U) /* Client */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="45" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="45" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a0d4378a0d60ffa2f755112687bc82f0b" kind="define" prot="public" static="no">
        <name>CY_BLE_GATT_BOTH</name>
        <initializer>(CY_BLE_GATT_SERVER | CY_BLE_GATT_CLIENT)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="46" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="46" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1aa4870dfa7bbbadc1349fa18930624dfc" kind="define" prot="public" static="no">
        <name>CY_BLE_CORE_CORTEX_M4</name>
        <initializer>4U</initializer>
        <briefdescription>
<para>Definitions for Cortex cores. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="51" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="51" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a5d441ed6461e241f13caf459707e2277" kind="define" prot="public" static="no">
        <name>CY_BLE_CORE_CORTEX_M0P</name>
        <initializer>0U</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="52" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="52" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1ab762c01f8b75954bc82c7d3c1140114e" kind="define" prot="public" static="no">
        <name>CY_BLE_CORE_DUAL</name>
        <initializer>255U</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="53" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="53" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a4d1e14023eb1865be641826d6b8bac28" kind="define" prot="public" static="no">
        <name>CY_BLE_BONDING_YES</name>
        <initializer>(0x01U)</initializer>
        <briefdescription>
<para>Definitions for CY_BLE_BONDING_REQUIREMENT. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="58" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="58" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a574015dacfb88daad0d3ba6e05ff8eff" kind="define" prot="public" static="no">
        <name>CY_BLE_BONDING_NO</name>
        <initializer>(0x00U)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="59" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="59" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a470b0fea3bd807a794ac35d524cd97c1" kind="define" prot="public" static="no">
        <name>CY_BLE_SHARING_NONE</name>
        <initializer>(0U)  /* The OTA feature is disabled. */</initializer>
        <briefdescription>
<para>Definitions for CY_BLE_SHARING_MODE. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="64" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="64" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a38e79fa0ed32bf6f60949b0d4e5897e3" kind="define" prot="public" static="no">
        <name>CY_BLE_SHARING_EXPORT</name>
        <initializer>(1U)  /* Stack and Profiles */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="65" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="65" />
      </memberdef>
      <memberdef id="cy__ble__defines_8h_1a66f0015cb727d7f25685cddf9d3c9884" kind="define" prot="public" static="no">
        <name>CY_BLE_SHARING_IMPORT</name>
        <initializer>(2U)  /* Profile only. */</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" bodystart="66" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" line="66" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file contains common defines for the BLE. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.50</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2017-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="16"><highlight class="preprocessor">#ifndef<sp />CY_BLE_DEFINES_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_DEFINES_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="preprocessor">#define<sp />CY_BLE_PROFILE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)<sp /><sp /></highlight><highlight class="comment">/*<sp />Complete<sp />BLE<sp />Protocol<sp />mode<sp />enables<sp />both<sp />BLE<sp />Host<sp />and<sp />Controller.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_HCI<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)<sp /><sp /></highlight><highlight class="comment">/*<sp />BLE<sp />Controller<sp />Only<sp />(HCI<sp />over<sp />UART)<sp />mode<sp />which<sp />enables<sp />the<sp />use<sp />of<sp />the</highlight></codeline>
<codeline lineno="24"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />device<sp />as<sp />a<sp />BLE<sp />controller.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="29"><highlight class="preprocessor">#define<sp />CY_BLE_STACK_MODE_SINGLE_SOC<sp /><sp /><sp /><sp />(3U)<sp /><sp /></highlight><highlight class="comment">/*<sp />Host<sp />and<sp />Controller<sp />with<sp />a<sp />software<sp />interface.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_STACK_MODE_DUAL_IPC<sp /><sp /><sp /><sp /><sp /><sp />(2U)<sp /><sp /></highlight><highlight class="comment">/*<sp />Host<sp />and<sp />Controller<sp />with<sp />an<sp />IPC<sp />interface.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="35"><highlight class="preprocessor">#define<sp />CY_BLE_GAP_HCI<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00U)<sp /></highlight><highlight class="comment">/*<sp />Used<sp />when<sp />the<sp />BLE<sp />operates<sp />in<sp />HCI<sp />mode.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_GAP_PERIPHERAL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01U)<sp /></highlight><highlight class="comment">/*<sp />The<sp />device<sp />operates<sp />as<sp />peripheral.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_GAP_CENTRAL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x02U)<sp /></highlight><highlight class="comment">/*<sp />The<sp />device<sp />operates<sp />as<sp />central.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_GAP_BROADCASTER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x04U)<sp /></highlight><highlight class="comment">/*<sp />The<sp />device<sp />operates<sp />as<sp />a<sp />broadcaster.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_GAP_OBSERVER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x08U)<sp /></highlight><highlight class="comment">/*<sp />The<sp />device<sp />operates<sp />as<sp />an<sp />observer.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="preprocessor">#define<sp />CY_BLE_GATT_SERVER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01U)<sp /></highlight><highlight class="comment">/*<sp />Server<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_GATT_CLIENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x02U)<sp /></highlight><highlight class="comment">/*<sp />Client<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_GATT_BOTH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CY_BLE_GATT_SERVER<sp />|<sp />CY_BLE_GATT_CLIENT)</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="51"><highlight class="preprocessor">#define<sp />CY_BLE_CORE_CORTEX_M4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />4U</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_CORE_CORTEX_M0P<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0U</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_CORE_DUAL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />255U</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="preprocessor">#define<sp />CY_BLE_BONDING_YES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_BONDING_NO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="preprocessor">#define<sp />CY_BLE_SHARING_NONE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)<sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />OTA<sp />feature<sp />is<sp />disabled.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_SHARING_EXPORT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)<sp /><sp /></highlight><highlight class="comment">/*<sp />Stack<sp />and<sp />Profiles<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_SHARING_IMPORT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(2U)<sp /><sp /></highlight><highlight class="comment">/*<sp />Profile<sp />only.<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!defined(CY_BLE_DEFINES_H)*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_defines.h" />
  </compounddef>
</doxygen>